<div class="col-md-12">
  <div class="row container" style="margin-top:2%">
    <button class="btn btn-success" routerLink="/admin/veiculo/inserir" style="margin-top:2%">
      <i class="fa fa-plus"></i>
      Cadatrar
    </button>
    <button class="btn btn-secondary" type="button" (click)="getVeiculos()" style="margin-top:2%; margin-left:1%">Todos</button>
    <div class="row mt-2">
      <div class="col-md-4">
        <div class="input-group mb-2">
          <input type="text" class="form-control" (input)="modelo= $event.target.value" placeholder="Buscar por modelo">
          <span class="input-group-btn">
            <button class="btn btn-secondary" type="button" (click)="getVeiculoModelo(modelo)">Pesquisar</button>
          </span>
        </div>
      </div>
  
      <div class="col-md-4">
        <div class="input-group mb-2">
          <input type="text" class="form-control" (input)="fabricante= $event.target.value" placeholder="Buscar por fabricante">
          <span class="input-group-btn">
            <button class="btn btn-secondary" type="button" (click)="getVeiculoFabricante(fabricante)">Pesquisar</button>
          </span>
        </div>
      </div>
  
      <div class="col-md-4">
        <div class="input-group mb-2">
          <input type="text" class="form-control" (input)="versao= $event.target.value" placeholder="Buscar por versao">
          <span class="input-group-btn">
            <button class="btn btn-secondary" type="button" (click)="getVeiculoVersao(versao)">Pesquisar</button>
          </span>
        </div>
      </div>
    </div>
  </div>

  <table class="table">
    <thead>
      <tr>
        <th title="Id">#</th>
        <th title="Modelo">Modelo</th>
        <th title="Fabricante">Fabricante</th>
        <th title="Versão">Versão</th>
        <th title="Ações">Ações</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let veiculo of veiculos; let i = index">
        <th scope="row">{{ veiculo.id }}</th>
        <td>{{ veiculo.modelo }}</td>
        <td>{{ veiculo.fabricante }}</td>
        <td>{{ veiculo.versao }}</td>
        <td>
          <i class="fa fa-pencil" aria-hidden="true" [routerLink]="['/admin/veiculo/atualizar', veiculo.id]"></i>
          <i class="fa fa-eye" aria-hidden="true" [routerLink]="['/admin/veiculo/visualizar', veiculo.id]"></i>
          <i class="fa fa-trash" aria-hidden="true" (click)="deletarVeiculo(veiculo.id, i)"></i>
        </td>
      </tr>
    </tbody>
  </table>
</div>